# PlexProvider (server 1.1 API)
declaration: package: dev.plex, class: PlexProvider

Package dev.plex

# Class PlexProvider

java.lang.Object
dev.plex.PlexProvider

All Implemented Interfaces:
  `dev.plex.api.PlexApi`

public class PlexProvider extends Object implements dev.plex.api.PlexApi

## Constructor Summary

Constructors
Constructor
Description
`PlexProvider()`

## Method Summary

Modifier and Type
Method
Description
`dev.plex.api.IPlayerCache<PlexPlayer>`
`getPlayerCache()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlexProvider

public PlexProvider()

## Method Details

### getPlayerCache

public dev.plex.api.IPlayerCache<PlexPlayer> getPlayerCache()

Specified by:
  `getPlayerCache` in interface `dev.plex.api.PlexApi`